ShiwakeDocs
Limits

/banking/limits

GET
/api/v1/banking/limits
X-Api-Key<token>

Tenant API key (sk_live_…), minted from the platform console.

In: header

Query Parameters

productId?string
walletTier?string

Value in

  • "Unverified"
  • "Basic"
  • "Full"
transactionType?string

Value in

  • "Deposit"
  • "Withdrawal"
  • "Transfer"
isActive?boolean

Response Body

application/json

curl -X GET "https://example.com/api/v1/banking/limits"
{  "message": "string",  "code": 0,  "data": [    {      "id": "string",      "productId": "string",      "productName": "string",      "walletTier": "string",      "transactionType": "string",      "period": "string",      "maxAmount": 0,      "currency": "string",      "isActive": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
Edit on GitHub

Last updated on